# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Jun 20 00:05:30 2025
# ------------------------------------------------

package:
  name: varlociraptor
  version: 8.7.3
source:
  sha256: 462d8c3217138ca49d3bdff269f2478c173c200ccf4c803cbc6f7d45e1cb516f
  url: https://github.com/varlociraptor/varlociraptor/archive/v8.7.3.tar.gz
build:
  number: '1'
  run_exports:
    - varlociraptor >=8.7.3,<9.0a0
  string: h3ba1ac5_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_5
    - binutils_linux-aarch64 2.43 hf1166c9_5
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.6.15 hbd8a1cb_0
    - cargo-bundle-licenses 4.0.0 h85d3e2b_1
    - cmake 4.0.3 h0efca9c_0
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_11
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_11
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_5
    - libcurl 8.14.1 h6702fde_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libgit2 1.9.1 hd8c9ecd_0
    - libglib 2.84.2 hc022ef1_0
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - liblzma 5.8.1 h86ecc28_2
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 13.3.0 ha58e236_2
    - libssh2 1.11.1 h18c354c_0
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - libstdcxx-ng 15.1.0 hf1166c9_2
    - libuv 1.51.0 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 ha32ae93_3
    - openssl 3.5.0 hd08dc88_1
    - pcre2 10.45 hf4ec17f_0
    - pkg-config 0.29.2 hce167ba_1009
    - rhash 1.4.6 h86ecc28_1
    - rust 1.87.0 h21fc29f_0
    - rust-std-aarch64-unknown-linux-gnu 1.87.0 hbe8e118_0
    - rust_linux-aarch64 1.87.0 h7b28dac_1
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 hbcf94c1_2
  host:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_5
    - blis 0.9.0 h68df207_2
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2025.6.15 hbd8a1cb_0
    - clang 20.1.7 default_h3935787_0
    - clang-20 20.1.7 default_h7d4303a_0
    - clang-format 20.1.7 default_h7d4303a_0
    - clang-format-20 20.1.7 default_h7d4303a_0
    - clang-tools 20.1.7 default_h7d4303a_0
    - clangdev 20.1.7 default_h7d4303a_0
    - clangxx 20.1.7 default_ha342b46_0
    - gsl 2.7 h294027d_0
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_5
    - libblas 3.9.0 12_hccabdcb_netlib
    - libcblas 3.9.0 12_h8effc92_netlib
    - libclang 20.1.7 default_h7d4303a_0
    - libclang-cpp 20.1.7 default_h7d4303a_0
    - libclang-cpp20.1 20.1.7 default_h7d4303a_0
    - libclang13 20.1.7 default_h9e36cb9_0
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 15.1.0 hd0aa34e_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libgfortran 15.1.0 he9431aa_2
    - libgfortran5 15.1.0 hbc25352_2
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libllvm20 20.1.7 h07bd352_0
    - liblzma 5.8.1 h86ecc28_2
    - liblzma-devel 5.8.1 h86ecc28_2
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 15.1.0 hd0aa34e_102
    - libxml2 2.13.8 h4fea317_0
    - libzlib 1.3.1 h86ecc28_2
    - llvm-tools 20.1.7 h17cf362_0
    - llvm-tools-20 20.1.7 h2fea25b_0
    - llvmdev 20.1.7 h2fea25b_0
    - openssl 3.5.0 hd08dc88_1
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
    - xz 5.8.1 h2dbfc1b_2
    - xz-gpl-tools 5.8.1 h2dbfc1b_2
    - xz-tools 5.8.1 h86ecc28_2
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.7 hbcf94c1_2
  run:
    - blis
    - bzip2 >=1.0.8,<2.0a0
    - gsl >=2.7,<2.8.0a0
    - libcblas >=3.9.0,<4.0a0
    - libgcc >=13
    - liblzma >=5.8.1,<6.0a0
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
    - openssl >=3.5.0,<4.0a0
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - varlociraptor -h
about:
  dev_url: https://github.com/varlociraptor/varlociraptor
  doc_url: https://varlociraptor.github.io
  home: https://github.com/varlociraptor/varlociraptor
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: LICENSE
  summary: Flexible, uncertainty-aware variant calling with parameter free filtration
    via FDR control.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:varlociraptor
    - doi:10.1186/s13059-020-01993-6
